### Method

# Clutter GestureAction get_device

#### Declaration [src]

    ClutterInputDevice*
    clutter_gesture_action_get_device (
      ClutterGestureAction* action,
      guint point
    )

#### Description [src]

Retrieves the `ClutterInputDevice` of a touch point.

#### Parameters

`point`

  Type: `guint`

  The touch point index, with 0 being the first touch point received by the action.

#### Return value

Type: `ClutterInputDevice`

The `ClutterInputDevice` of a touch point.

The returned data is owned by the instance.